Subject: Re: bug#3949: 23.1.50; C-x 0 should go to a sister window if possible

From: martin rudalics <[email-masked]>
Date: Mon, 27 Jul 2009 20:05:08 +0200

> I can't think of any situation where I do not want that.

I suppose you refer to configurations like

  -------
| 1 | 2 |
|-------|
|   3   |
  -------

and you do C-x 0 in 1 ending up in 3 or in 3 ending up in 2.

It happens because `delete-window' selects the previous window of the
selected one which is usually also the one that gets enlarged.  You'd
probably prefer C-x 0 in 1 end up in 2 and when in 3 end up in 1.  This
could be done but I'm not sure whether this was a great annoyance over
the years in order to warrant such a change.

martin